# Method: projects.locations.products.patch

- [HTTP request](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p4beta1/projects.locations.products/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p4beta1/projects.locations.products/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p4beta1/projects.locations.products/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p4beta1/projects.locations.products/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p4beta1/projects.locations.products/patch#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p4beta1/projects.locations.products/patch#body.aspect)

Makes changes to a Product resource. Only the `displayName`, `description`, and `labels` fields can be updated right now.

If labels are updated, the change will not be reflected in queries until the next index time.

Possible errors:

- Returns NOT_FOUND if the Product does not exist.
- Returns INVALID_ARGUMENT if displayName is present in updateMask but is missing from the request or longer than 4096 characters.
- Returns INVALID_ARGUMENT if description is present in updateMask but is longer than 4096 characters.
- Returns INVALID_ARGUMENT if productCategory is present in updateMask.

### HTTP request

`PATCH https://vision.googleapis.com/v1p4beta1/{product.name=projects/*/locations/*/products/*}`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `product.name` | `string` The resource name of the product. Format is: `projects/PROJECT_ID/locations/LOC_ID/products/PRODUCT_ID`. This field is ignored when creating a product. <br /> |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` The `https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` that specifies which fields to update. If updateMask isn't specified, all mutable fields are to be updated. Valid mask paths include `productLabels`, `displayName`, and `description`. A comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. <br /> |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p4beta1/projects.locations.products#Product`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/vision/product-search/docs/reference/rest/v1p4beta1/projects.locations.products#Product`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-vision`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).